import React from "react";
declare const styleTypes: {
    circled: string;
    squared: string;
    outlined: string;
    underlined: string;
};
declare type StyleTypes = keyof typeof styleTypes;
interface Props {
    fields?: number;
    password?: boolean;
    customClass?: string;
    initialValue?: string;
    styleType?: StyleTypes;
    style?: React.CSSProperties;
    onChange?: (value: string) => void;
}
declare const index: ({ style, onChange, password, fields, customClass, initialValue, styleType, }: Props) => JSX.Element;
export default index;
//# sourceMappingURL=index.d.ts.map