"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var styleTypes = {
    circled: "code-input-circled",
    squared: "code-input-squared",
    outlined: "code-input-outlined",
    underlined: "code-input-underlined",
};
var index = function (_a) {
    var style = _a.style, onChange = _a.onChange, password = _a.password, _b = _a.fields, fields = _b === void 0 ? 4 : _b, customClass = _a.customClass, initialValue = _a.initialValue, _c = _a.styleType, styleType = _c === void 0 ? "outlined" : _c;
    var refs = (0, react_1.useRef)([]);
    var _d = __read((0, react_1.useState)(__spreadArray([], __read(Array(fields).fill(null)), false)), 2), values = _d[0], setValues = _d[1];
    (0, react_1.useEffect)(function () {
        refs.current.forEach(function (ref) {
            ref.value = "";
        });
        if ((initialValue === null || initialValue === void 0 ? void 0 : initialValue.length) === fields) {
            setValue(initialValue, 0);
        }
    }, []);
    var handleKeyDown = function (e, i) {
        if (e.key === "Backspace") {
            values === null || values === void 0 ? void 0 : values.splice(i, 1, null);
            setValues(__spreadArray([], __read(values), false));
            var r = refs.current[Math.max(0, i - 1)];
            r.focus();
        }
    };
    function setValue(value, i) {
        var _a;
        if (value) {
            var _b = __read(value), first = _b[0], rest = _b.slice(1);
            var lastInputBox = i === refs.current.length;
            var insertedContent = first !== undefined;
            if (insertedContent && !lastInputBox) {
                values.splice(i, 1, first);
                (_a = refs.current[i + 1]) === null || _a === void 0 ? void 0 : _a.focus();
                setValues(__spreadArray([], __read(values), false));
                setValue(rest.join(""), i + 1);
            }
        }
    }
    function setSingleValue(value, i) {
        var _a, _b;
        if (!values[i]) {
            values.splice(i, 1, value);
            setValues(__spreadArray([], __read(values), false));
            (_a = refs.current[i + 1]) === null || _a === void 0 ? void 0 : _a.focus();
        }
        else {
            (_b = refs.current[i + 1]) === null || _b === void 0 ? void 0 : _b.focus();
            values.splice(i + 1, 1, value[1]);
            setValues(__spreadArray([], __read(values), false));
        }
    }
    var handleChange = function (e, i) {
        if (e.target.value) {
            if (e.target.value.length > 2) {
                setValue(e.target.value, i);
            }
            else if (values[i] !== e.target.value && i !== fields - 1) {
                setSingleValue(e.target.value, i);
            }
            else if (i == values.length - 1 && values[values.length - 1] === null) {
                setSingleValue(e.target.value, i);
            }
        }
        if (onChange) {
            onChange(refs.current.map(function (a) { return a.value; }).join(""));
        }
    };
    return (react_1.default.createElement("div", null, Array(fields)
        .fill(0)
        .map(function (_, i) {
        var _a;
        return (react_1.default.createElement("input", { key: i, required: true, style: style, autoComplete: "off", value: (_a = values[i]) !== null && _a !== void 0 ? _a : "", type: password ? "password" : "text", onChange: function (e) { return handleChange(e, i); }, onKeyDown: function (e) { return handleKeyDown(e, i); }, className: "code-input ".concat(styleTypes[styleType], " ").concat(customClass), ref: function (element) {
                if (element)
                    refs.current[i] = element;
            } }));
    })));
};
exports.default = index;
//# sourceMappingURL=index.js.map